% Code to generate array response vector for a ULA towards a specified
% direction in terms of direction cosine 
% M - number of antennas
% Delta - inter-element spacing (in wavelengths)


function a=gen_a_v2(M,Delta,u)

a=exp(1j*2*pi*(0:1:M-1)'*Delta*u);
